/*******************************************************************************
 Toggles a list item open or closed.
*******************************************************************************/
function ToggleContainer( theEvent )
{
	if ( !theEvent ) return;
	
	//
	// Stop the event propagating up, in case the clicked object is embedded
	// inside another object that can also respond to this event.
	//
	if ( theEvent.stopPropagation )
	{
		theEvent.stopPropagation();
	}
	else
	{
		theEvent.cancelBubble = true;
	}

	//
	// Get the element that was clicked.
	// Normally, we would simply call:
	//
	//     theDiv = theEvent.target;
	//
	// But this isn't supported by Internet Explorer which, apparent,
	// doesn't have the property "target". Instead, we have to use
	// "srcElement" instead. I found out this piece of advice from:
	// http://annevankesteren.nl/2005/07/dom-3-events
	//
    var theDiv = theEvent.target ? theEvent.target : theEvent.srcElement;
    											// I.E. Workaround.
	if ( !theDiv ) return;
	
	// The object might be an embedded div - e.g., the disclosure arrow div.
	// We therefore need to move up in the embedding hierarchy.
	while ( theDiv && theDiv.tagName != "A" )
	{
		theDiv = theDiv.parentNode;
	}
	if ( !theDiv ) return;						// In case no "header" exists.
	
	//
	// Locate the "showHide".
	// N.B., we used to use "getElementsByClassName", but that doesn't work on
	// Internet Explorer 8, which means that it doesn't work on Windows XP.
	//
//	var links = theDiv.getElementsByClassName("showHide");
	var links = theDiv.querySelectorAll(".showHide");
	var link = links[0];	// Assume only one "showHide".
	
	theDiv = theDiv.parentNode;
	
	if ( theDiv.className == "taskWrapper closed" )
	{
		theDiv.className = "taskWrapper open";
	    link.innerHTML = 'Hide';
	}
	else if ( theDiv.className == "taskWrapper open" )
	{
		theDiv.className = "taskWrapper closed";
	    link.innerHTML = 'Show';
	}

	return;
}